%define	emacsver	21.3
%define xemacsver	21.4
%define	e_sitedir	/usr/share/emacs/site-lisp
%define	xe_sitedir	/usr/lib/xemacs/site-lisp
%define	sitepdir	/usr/lib/xemacs/site-packages

Summary: A much enhanced LaTeX mode for Emacsen
Name: elisp-auctex
Version: 11.14
Release: 1m
License: GPL
Group: Applications/Editors
Source0: http://ftp.gnu.org/pub/gnu/auctex/%{version}/auctex-%{version}.tar.gz
Nosource: 0
Source1: auctex.el
Patch0: auctex-momonga.patch
URL: http://www.gnu.org/software/auctex/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo
Requires: emacsen

%description
AUC TeX is a comprehensive customizable integrated environment for
writing input files for LaTeX using GNU Emacs.

%package -n auctex-emacs
Group: Applications/Editors
Summary: A much enhanced LaTeX mode for Emacs
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
PreReq: info

%description -n auctex-emacs
AUC TeX is a comprehensive customizable integrated environment for
writing input files for LaTeX using GNU Emacs.

%package -n auctex-xemacs
Group: Applications/Editors
Summary: A much enhanced LaTeX mode for XEmacs
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}, xemacs-sumo

%description -n auctex-xemacs
AUC TeX is a comprehensive customizable integrated environment for
writing input files for LaTeX using GNU Emacs.

%prep
%setup -q -n auctex-%{version}
%patch0 -p1 -b .ja

rm -rf %{buildroot}

%build
mkdir -p %{buildroot}%{_infodir}
mkdir -p %{buildroot}%{e_sitedir}
mkdir -p %{buildroot}%{xe_sitedir}
mkdir -p %{buildroot}%{sitepdir}/info

AUCTeXInstall() {
    make clean
    if [ "$1" = emacs ]; then
	make EMACS=emacs \
	    prefix=%{_prefix} \
	    lispdir=%{e_sitedir} \
	    infodir=%{_infodir} \
	    lisp contrib
	make EMACS=emacs \
	    prefix=%{buildroot}%{_prefix} \
	    lispdir=%{buildroot}%{e_sitedir} \
	    infodir=%{buildroot}%{_infodir} \
	    install install-contrib install-info
    else
	if [ "$1" = xemacs ]; then
	    make EMACS=xemacs \
		prefix=%{_prefix} \
		lispdir=%{xe_sitedir} \
		infodir=%{sitepdir}/info \
		lisp contrib
	    make EMACS=xemacs \
		prefix=%{buildroot}%{_prefix} \
		lispdir=%{buildroot}%{xe_sitedir} \
		infodir=%{buildroot}%{sitepdir}/info \
		install install-contrib install-info
	fi
    fi
}

AUCTeXInstall emacs
AUCTeXInstall xemacs

%install
mkdir -p %{buildroot}%{_datadir}/config-sample/%{name}
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/config-sample/%{name}

%clean
rm -rf %{buildroot}

%post -n auctex-emacs
install-info %{_infodir}/auctex.* %{_infodir}/dir --section="Emacs"

%preun -n auctex-emacs
if [ "$1" = 0 ]; then
    install-info --delete %{_infodir}/auctex.* %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc CHANGES COPYING ChangeLog INSTALLATION IRIX PROBLEMS README
%{_datadir}/config-sample/%{name}/auctex.el

%files -n auctex-emacs
%defattr(-,root,root)
%{_datadir}/emacs/site-lisp/auctex
%{_datadir}/emacs/site-lisp/tex-site.el
%{_infodir}/*

%files -n auctex-xemacs
%defattr(-,root,root)
%{_libdir}/xemacs/site-lisp/auctex
%{_libdir}/xemacs/site-lisp/tex-site.el
%{_libdir}/xemacs/site-packages/info/*

%changelog
* Sun May 16 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (11.14-1m)
- verup

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (11.11-4m)
- rebuild against emacs-21.3

* Tue Dec 24 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (11.11-3m)
- change upstream URL ([Momonga-devel.ja:01123] thanks, SIVA)

* Thu Jun 13 2002 Kenta MURATA <muraken2@nifty.com>
- (11.11-2k)
- version up.

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (10.0g-12k)
- /sbin/install-info -> info in PreReq.

* Wed Mar 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (10.0g-10k)
- rebuild against emacs-21.2

* Sun Nov 18 2001 Kenta MURATA <muraken2@nifty.com>
- (10.0g-8k)
- add auctex.el for config-sample
- auctex-kondara.patch

* Mon Oct 29 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (elisp-auctex-10.0g-6k)
- modified %BuildPrereq and %Requires (added xemacs-sumo)

* Mon Oct 29 2001 Hidetomo Machi <mcHT@kondara.org>
- (elisp-auctex-10.0g-4k)
- merge auctex-emacs and auctex-xemacs

* Tue Jul 17 2001 Hidetomo Machi <mcHT@kondara.org>
- (10.0g-2k)
- import to 2.0
- use %{_tmppath} macro
- add Makefile patch

* Mon Jul 16 2001 Toshiro HIKITA <toshi@sodan.org>
- (10.0g-3k)
- updated to 10.0g

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Mon Oct 23 2000 Hidetomo Machi <mcHT@kondara.org>
- (9.10t-3k)
- modify specfile (License)
- modify %post and %preun
- modify %doc

* Wed Oct 18 2000 Toshiro HIKITA <toshi@sodan.org>
- (9.10t-1k)
- imported from 9.9p-2mdk of Mandarake
- Kondarize, adopt to Specfile Gaidance
- updated to 9.10t

* Sat Sep  2 2000 Pixel <pixel@mandrakesoft.com> 9.9p-2mdk
- mandrake adaptation
- cleanup

* Fri Jul 10 1998 W.L. Estes <wlestes@wlestes.uncg.edu>
- build root now used
- cleaned up file list
- fixed url tag
- added CHANGES and ChangeLog to doc files
- now requires emacs >= 20
- added \%clean
- misc spec file cosmetic cleanups

 *Wed Mar 11 1998 Martin Schimschak <masch@theo-phys.uni-essen.de>
 - initial revision for auctex 9.8l

